<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	android:id="@+id/container"
	android:layout_width="match_parent"
	android:layout_height="match_parent">

	<androidx.coordinatorlayout.widget.CoordinatorLayout
		android:layout_width="match_parent"
		android:layout_height="match_parent">

		<com.google.android.material.appbar.AppBarLayout
			android:layout_width="match_parent"
			android:layout_height="wrap_content">

			<com.google.android.material.appbar.MaterialToolbar
				android:id="@+id/top_app_bar"
				android:layout_width="match_parent"
				android:layout_height="?attr/actionBarSize"
				app:title="" />
		</com.google.android.material.appbar.AppBarLayout>

		<androidx.constraintlayout.widget.ConstraintLayout
			android:layout_width="match_parent"
			android:layout_height="match_parent">

			<androidx.fragment.app.FragmentContainerView
				android:id="@+id/nav_host_fragment_activity_main"
				android:name="androidx.navigation.fragment.NavHostFragment"
				android:layout_width="match_parent"
				android:layout_height="0dp"
				app:defaultNavHost="true"
				app:layout_constraintBottom_toTopOf="@+id/bottom_navigation"
				app:layout_constraintEnd_toEndOf="parent"
				app:layout_constraintStart_toStartOf="parent"
				app:layout_constraintTop_toTopOf="parent"
				app:navGraph="@navigation/front_navigation" />

			<com.google.android.material.bottomnavigation.BottomNavigationView
				android:id="@+id/bottom_navigation"
				android:layout_width="match_parent"
				android:layout_height="wrap_content"
				android:layout_gravity="bottom"
				app:layout_constraintBottom_toBottomOf="parent"
				app:layout_constraintEnd_toEndOf="parent"
				app:layout_constraintStart_toStartOf="parent"
				app:menu="@menu/bottom_nav_menu" />
		</androidx.constraintlayout.widget.ConstraintLayout>
	</androidx.coordinatorlayout.widget.CoordinatorLayout>

	<com.google.android.material.navigation.NavigationView
		android:id="@+id/navigation_drawer"
		android:layout_width="wrap_content"
		android:layout_height="match_parent"
		android:layout_gravity="start"
		app:menu="@menu/drawer" />


</androidx.drawerlayout.widget.DrawerLayout>